import 'dart:io';

import 'system_share_platform_interface.dart';

class SystemShare {
  SystemShare._();

  static Future<bool> isInstalled(String packageName) {
    return SystemSharePlatform.instance.isInstalled(packageName);
  }

  static Future<void> shareFile(
      String filePath, String packageName, String? shareTitle,
      {String? shareFileType}) {
    return SystemSharePlatform.instance.shareFile(
        filePath, packageName, shareTitle, shareFileType: shareFileType);
  }
}
